> For the complete documentation index, see [llms.txt](https://guia.fenicio.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-shipping-location.md).

# Get Shipping Location

Permite obtener la ubicación, así como el punto de origen y destino del envío con el fin de realizar un seguimiento en tiempo real.

<table><thead><tr><th width="135"> Método</th><th>URL</th></tr></thead><tbody><tr><td><code>POST</code></td><td>https://{ApiURL}/getShippingLocation</td></tr></tbody></table>

## Request

<table><thead><tr><th width="173">Clave</th><th width="109">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>trackingCode</code></strong></td><td>String</td><td>Código de rastreo correspondiente al envío creado.</td></tr></tbody></table>

## Response

<table><thead><tr><th width="173">Clave</th><th width="160">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>statusCode</code></strong></td><td>Enum</td><td>Código del estado del pedido. Valores a definir por empresa logística.</td></tr><tr><td><strong><code>origin</code></strong></td><td>&#x3C;<a href="#tracking-point"><strong>TrackingPoint</strong></a>></td><td>Punto de origen del envío.</td></tr><tr><td><strong><code>delivery</code></strong></td><td>&#x3C;<a href="#tracking-point"><strong>TrackingPoint</strong></a>></td><td>Ubicación actual del envío.</td></tr><tr><td><strong><code>destination</code></strong></td><td>&#x3C;<a href="#tracking-point"><strong>TrackingPoint</strong></a>></td><td>Punto de entrega del envío.</td></tr></tbody></table>

## Tracking Point

<table><thead><tr><th width="222">Clave</th><th width="127">Tipo</th><th>Descripción</th></tr></thead><tbody><tr><td><strong><code>latitute</code></strong></td><td>Float</td><td>Latitud del punto.</td></tr><tr><td><strong><code>longitude</code></strong></td><td>Float</td><td>Longitud del punto.</td></tr><tr><td><strong><code>markerDescription</code></strong></td><td>String | null</td><td>Descripción del marcador que se utiliza en el mapa de seguimiento.</td></tr><tr><td><strong><code>markerImageUrl</code></strong></td><td>String | null</td><td>Enlace a la imagen del marcador que se utiliza en el mapa de seguimiento.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://guia.fenicio.help/developers/api-integracion-de-logistica/servicios/get-shipping-location.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
